# Uses of Interface
java.lang.reflect.InvocationHandler

Packages that use InvocationHandler
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.

## Uses of InvocationHandler in java.beans

Classes in java.beans that implement InvocationHandler
Modifier and Type
Class
Description
`class`
`EventHandler`
The `EventHandler` class provides support for dynamically generating event listeners whose methods execute a simple statement involving an incoming event object and a target object.

## Uses of InvocationHandler in java.lang.reflect

Fields in java.lang.reflect declared as InvocationHandler
Modifier and Type
Field
Description
`protected InvocationHandler`
Proxy.`h`
the invocation handler for this proxy instance.
Methods in java.lang.reflect that return InvocationHandler
Modifier and Type
Method
Description
`static InvocationHandler`
Proxy.`getInvocationHandler(Object proxy)`
Returns the invocation handler for the specified proxy instance.
Methods in java.lang.reflect with parameters of type InvocationHandler
Modifier and Type
Method
Description
`static Object`
Proxy.`newProxyInstance(ClassLoader loader, Class<?>[] interfaces, InvocationHandler h)`
Returns a proxy instance for the specified interfaces that dispatches method invocations to the specified invocation handler.
Constructors in java.lang.reflect with parameters of type InvocationHandler
Modifier
Constructor
Description
`protected`
`Proxy(InvocationHandler h)`
Constructs a new `Proxy` instance from a subclass (typically, a dynamic proxy class) with the specified value for its invocation handler.

## Uses of InvocationHandler in java.rmi.server

Classes in java.rmi.server that implement InvocationHandler
Modifier and Type
Class
Description
`class`
`RemoteObjectInvocationHandler`
An implementation of the `InvocationHandler` interface for use with Java Remote Method Invocation (Java RMI).

## Uses of InvocationHandler in javax.management

Classes in javax.management that implement InvocationHandler
Modifier and Type
Class
Description
`class`
`MBeanServerInvocationHandler`
`InvocationHandler` that forwards methods in an MBean's management interface through the MBean server to the MBean.

## Uses of InvocationHandler in javax.management.openmbean

Classes in javax.management.openmbean that implement InvocationHandler
Modifier and Type
Class
Description
`class`
`CompositeDataInvocationHandler`
An `InvocationHandler` that forwards getter methods to a `CompositeData`.